Add bank payout method
curl --request POST \
--url https://api-staging.stablestack.com/api/payout/methods/banks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"type": "BANK",
"account_name": "John Doe",
"account_number": "1234567890",
"bank_name": "Test Bank",
"currency": "NGN",
"bank_code": "000006",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"sort_code": "202524",
"swift_code": "",
"routing_number": "",
"iban": ""
}
'import requests
url = "https://api-staging.stablestack.com/api/payout/methods/banks"
payload = {
"type": "BANK",
"account_name": "John Doe",
"account_number": "1234567890",
"bank_name": "Test Bank",
"currency": "NGN",
"bank_code": "000006",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"sort_code": "202524",
"swift_code": "",
"routing_number": "",
"iban": ""
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'BANK',
account_name: 'John Doe',
account_number: '1234567890',
bank_name: 'Test Bank',
currency: 'NGN',
bank_code: '000006',
customer_id: '85b148ab-3f6b-4d55-917f-3c8de668a48e',
sort_code: '202524',
swift_code: '',
routing_number: '',
iban: ''
})
};
fetch('https://api-staging.stablestack.com/api/payout/methods/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "a1b2c3d4-e67f-42a2-b24a-d33f220a0d37",
"type": "BANK",
"currency": "NGN",
"account_name": "John Doe",
"account_number": "1234567890",
"bank_name": "Test Bank",
"bank_code": "000006",
"sort_code": null,
"swift_code": null,
"routing_number": null,
"iban": null,
"created_at": "2025-05-12T15:30:56.623Z",
"updated_at": "2025-05-12T15:30:56.623Z",
"customer_id": null
},
"message": "Merchant payout method added successfully!"
}Beneficiary
Add Bank Account
API reference for adding bank payout methods
POST
/
payout
/
methods
/
banks
Add bank payout method
Adds a new bank payout method (either merchant-owned or customer-specific).
- Include
customer_idto create for a specific customer - Omit
customer_idto create merchant-owned bank account
Request Body:
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", // optional
"account_name": "John Doe",
"account_number": "1234567890",
"bank_name": "Test Bank",
"currency": "NGN",
"bank_code": "000006",
"sort_code": "202524", // For GBP
"swift_code": "", // For international transfers
"routing_number": "", // For USD
"iban": "" // For international accounts
}
Headers
Body
application/json
Must be 'BANK' for this endpoint
Available options:
BANK Example:
"John Doe"
Example:
"1234567890"
Example:
"Test Bank"
Available options:
NGN, ZAR Example:
"NGN"
Example:
"000006"
Required only for customer-specific payout methods
Example:
"85b148ab-3f6b-4d55-917f-3c8de668a48e"
Example:
"202524"
Example:
""
Example:
""
Example:
""